Skip to main content
POST
/
gateway
/
v1
/
open-banking-account
curl --request POST \ --url https://payapi-sandbox.ingo.money/gateway/v1/open-banking-account \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "request": { "participant_id": "12345", "timestamp": "1718900000" }, "open_banking_request": { "open_banking_provider": "6", "requested_data": "1", "customer_account_token": "eyJhbGciOiJI…token…" } } '
{
  "request": {
    "participant_id": "12345",
    "timestamp": "1718900000"
  },
  "response": {
    "status": "100",
    "message": "Success",
    "duration": "1.842"
  },
  "open_banking": {
    "open_banking_response": "{ \"account\": { \"id\": \"5012345678\", \"balance\": 1542.33, \"type\": \"checking\" } }"
  }
}
Under Development — Coming Soon. This endpoint is currently under development and is not yet available for integration. Specifications are subject to change prior to general availability. Contact your Ingo integration manager for availability updates.

Body

application/json
request
object
required

Information about the API request — general information associated with the call to the API method.

open_banking_request
object
required

Open banking data required to access the requested information. Identify the account with either customer_account_token or the account_identifier object — never both.

Response

200 - application/json

Account data retrieved successfully.

request
object

Information about the API request — echoed general information associated with the call to the API method.

response
object

Information about the API response — general information associated with the outcome of the call to the API method.

open_banking
object

Response data as provided by the applicable open banking services provider.